Bug 1845830 - [azure-file] "Permission denied" when read/write to mounted directory on RHEL node.
Summary: [azure-file] "Permission denied" when read/write to mounted directory on RHEL...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Russell Teague
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1839965
Blocks: 1845836
TreeView+ depends on / blocked
 
Reported: 2020-06-10 07:58 UTC by Wei Duan
Modified: 2020-06-23 00:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
SELinux permissions were blocking read/write access to mounted volumes on the Azur platform. SELinux booleans are updated to match RHCOS 8.x to allow proper access.
Clone Of: 1839965
Environment:
Last Closed: 2020-06-23 00:57:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12184 0 None closed [release-4.4] Bug 1845830: Enable seboolean for Azure mount support 2020-07-17 10:00:53 UTC
Red Hat Product Errata RHBA-2020:2580 0 None None None 2020-06-23 00:57:59 UTC

Comment 3 Wei Duan 2020-06-16 04:21:24 UTC
Verified pass on 4.4.0-0.nightly-2020-06-15-203705

In scaleup log:
TASK [openshift_node : Setting sebool virt_use_samba] **************************
Tuesday 16 June 2020  11:19:02 +0800 (0:00:02.220)       0:05:50.921 ********** 
changed: [10.0.1.7] => {"changed": true, "name": "virt_use_samba", "persistent": true, "state": true}
changed: [10.0.1.6] => {"changed": true, "name": "virt_use_samba", "persistent": true, "state": true}

TASK [openshift_node : Setting sebool container_use_cephfs] ********************
Tuesday 16 June 2020  11:19:06 +0800 (0:00:03.773)       0:05:54.695 ********** 
changed: [10.0.1.6] => {"changed": true, "name": "container_use_cephfs", "persistent": true, "state": true}
changed: [10.0.1.7] => {"changed": true, "name": "container_use_cephfs", "persistent": true, "state": true}

On rhel worker node:
[wduan@MINT config]$ oc debug node/wduan0611c-hdpfl-rhel-0
sh-4.2# getsebool virt_use_samba
virt_use_samba --> on
sh-4.2# getsebool container_use_cephfs
container_use_cephfs --> on

Comment 5 errata-xmlrpc 2020-06-23 00:57:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.